Mis à jour dedibox

Comme souvent chaque billet s’accompagne d’une histoire . Ce billet ne déroge pas à la règle . Ma copine voulant regarder « un diner presque parfait » bien sur ça me saoule donc je décide donc de mettre à jour ma dedibox qui était toujours sur une lenny .

Donc n’oubliez pas avant toutes mises à jour faites des backups nous ne sommes jamais assez prudent .
Ce billet n’a pas pour but de vous expliquer le passage de debian lenny vers squeeze voir ce billet .

Début de la migration 17H40

  1. /*
  2. apt-get update
  3. apt-get dist-upgrade
  4. */

Comme dab pleins de questions prenez le temps de les lire 🙂 je dis ca je dis rien .

Fin de l’installation de tous les packages 18H10 . Évidemment toujours des problèmes à corriger toutes migrations comportent des risques . Les problèmes rencontrés :

  1. /*
  2. * Mysql ne se relance pas , un peu dommage ballot presque tout est en base de donnée .
  3. * dkim ne se relance pas
  4. * Dovecot fait la gueule
  5. */

Alors je commence par mysql le plus important à mon sens . dpkg-reconfigure de mysql passe pas . Je ne sais pour quelle raisons en réinstallant mysql il essai de me relancer dkim :s .

Donc je vire DKIM de même pour mysql . Puis réinstalle de mysql et la parfait le blog est à nouveau fonctionnel (plus ou moins) quelques erreurs mais on verra ça après , il faut s’occuper des mails now.

Dovecot dans les choux ,avec un mal au crane pas possible pas trop envie de m’emmerder donc :

  1. /*
  2. * Je dégage dovecot
  3. * Je le réinstalle :)
  4. * copie de /etc/dovecot/ /etc/dovecot.new-dist (on garde quand même les nouveaux fichiers de conf
  5. * Stop de dovecot
  6. * Copie des fichiers sauvegardés dans /etc/dovecot/
  7. * Start de dovecot
  8. */

Jackpot dovecot c’est reparti . Test d’envoi de mail eh merde problème de droits sur dovecot.conf donc :

  • Je mets les bons droits
  • Je vide la queue postfix
  • Test d’envoi et réception de mails on vérifie qu’ils sont bien signés avec DKIM

Déjà la je respire un peu plus . On a vu un peu plus haut que le blog était à nouveau fonctionnel . Mais d’après les erreurs remontées sur le haut de la page . Certains plugins ne sont pas compatibles avec php5.3 . Je désactive les modules troublants le bon fonctionnement du blog.

Les plugins n’ayant pas supportés la mise à jour

  1. /*
  2. contactMe
  3. partager2
  4. shortArchives
  5. */

Après quelques secondes de recherche sur le site de dotclear les plugins utilisés ont été mis à jour au final :

  1. /*
  2. * contactMe passer en version 1.2
  3. * partager2 passer en version 2.12
  4. * shortArchives remplacer par ArchiveWidget
  5. */

Un petit reboot (après 336 jours de uptime ) cela ne fait pas de mal . Tout redémarre correctement .

Fin de la migration 18H50 .

Donc ce qu’il reste à faire :

  • Awstats dans les choux
  • Vérifier les scripts fait maison

Related posts

Leave a Comment